Returns a list of workflows that customer has configured.
curl --request GET \
--url https://api.up.telestream.com/workflow/api/v1/{space_id}/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.up.telestream.com/workflow/api/v1/{space_id}/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.up.telestream.com/workflow/api/v1/{space_id}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflows": [
{
"name": "IPTV&Multiscreen",
"description": "This workflow is producing multiple outputs - one CableLabs compliant and MP4 proxy",
"identifier": "e3c908ad-dc8f-4edb-88f7-c84dec0aef99",
"created_at": "2020-01-21T15:53:12.388317Z",
"updated_at": "2020-01-22T15:53:12.182617Z"
}
],
"page": [
1
],
"per_page": [
30
],
"page_count": [
1
],
"total_count": [
1
]
}{
"error_message": "You don't have permission to access this resource"
}{
"error_message": "500 internal error"
}workflow
Returns a list of workflows that customer has configured.
GET
/
{space_id}
/
workflows
Returns a list of workflows that customer has configured.
Authorizations
API key passed as a Bearer token in the Authorization header
Path Parameters
UP Space Id
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Query Parameters
Page
Number of entries per page
Filter Workflows by status
Available options:
active, archived, deleted, idle Response
List Workflows
⌘I
